aboutsummaryrefslogtreecommitdiffstats
path: root/extraconfig
diff options
context:
space:
mode:
authorGiulio Fidente <gfidente@redhat.com>2015-12-02 15:07:22 +0100
committerGiulio Fidente <gfidente@redhat.com>2015-12-02 15:35:47 +0100
commitf1720b349194d958022d27fd0c5c07e407f55478 (patch)
tree4fd38374279ef24d079c1dadd454512b30e123c4 /extraconfig
parenta3a6b30d1093113db6b909f833570e1574e8b454 (diff)
Add pcmk constraints against haproxy-clone only if applicable
When the Overcloud does not host an instance of haproxy, pcmk will not have any resource named haproxy-clone so we should not add any constraint relying on it. Change-Id: I801f07b7570f3805aa71c22998fec6b6f192b350
Diffstat (limited to 'extraconfig')
-rwxr-xr-xextraconfig/tasks/yum_update.sh66
1 files changed, 34 insertions, 32 deletions
diff --git a/extraconfig/tasks/yum_update.sh b/extraconfig/tasks/yum_update.sh
index e3e9545d..ae34207e 100755
--- a/extraconfig/tasks/yum_update.sh
+++ b/extraconfig/tasks/yum_update.sh
@@ -45,6 +45,35 @@ pacemaker_status=$(systemctl is-active pacemaker)
pacemaker_dumpfile=$(mktemp)
if [[ "$pacemaker_status" == "active" ]] ; then
+SERVICES="memcached
+httpd
+neutron-dhcp-agent
+neutron-l3-agent
+neutron-metadata-agent
+neutron-openvswitch-agent
+neutron-server
+openstack-ceilometer-alarm-evaluator
+openstack-ceilometer-alarm-notifier
+openstack-ceilometer-api
+openstack-ceilometer-central
+openstack-ceilometer-collector
+openstack-ceilometer-notification
+openstack-cinder-api
+openstack-cinder-scheduler
+openstack-cinder-volume
+openstack-glance-api
+openstack-glance-registry
+openstack-heat-api
+openstack-heat-api-cfn
+openstack-heat-api-cloudwatch
+openstack-heat-engine
+openstack-keystone
+openstack-nova-api
+openstack-nova-conductor
+openstack-nova-consoleauth
+openstack-nova-novncproxy
+openstack-nova-scheduler"
+
echo "Dumping Pacemaker config"
pcs cluster cib $pacemaker_dumpfile
@@ -62,8 +91,11 @@ if [[ "$pacemaker_status" == "active" ]] ; then
pcs -f $pacemaker_dumpfile constraint order promote galera-master then openstack-keystone-clone
fi
- if ! pcs constraint order show | grep "start haproxy-clone then start openstack-keystone-clone"; then
- pcs -f $pacemaker_dumpfile constraint order start haproxy-clone then openstack-keystone-clone
+ if pcs resource | grep "haproxy-clone"; then
+ SERVICES="$SERVICES haproxy"
+ if ! pcs constraint order show | grep "start haproxy-clone then start openstack-keystone-clone"; then
+ pcs -f $pacemaker_dumpfile constraint order start haproxy-clone then openstack-keystone-clone
+ fi
fi
if ! pcs constraint order show | grep "start memcached-clone then start openstack-keystone-clone"; then
@@ -89,36 +121,6 @@ if [[ "$pacemaker_status" == "active" ]] ; then
fi
echo "Setting resource start/stop timeouts"
- SERVICES="
-haproxy
-memcached
-httpd
-neutron-dhcp-agent
-neutron-l3-agent
-neutron-metadata-agent
-neutron-openvswitch-agent
-neutron-server
-openstack-ceilometer-alarm-evaluator
-openstack-ceilometer-alarm-notifier
-openstack-ceilometer-api
-openstack-ceilometer-central
-openstack-ceilometer-collector
-openstack-ceilometer-notification
-openstack-cinder-api
-openstack-cinder-scheduler
-openstack-cinder-volume
-openstack-glance-api
-openstack-glance-registry
-openstack-heat-api
-openstack-heat-api-cfn
-openstack-heat-api-cloudwatch
-openstack-heat-engine
-openstack-keystone
-openstack-nova-api
-openstack-nova-conductor
-openstack-nova-consoleauth
-openstack-nova-novncproxy
-openstack-nova-scheduler"
for service in $SERVICES; do
pcs -f $pacemaker_dumpfile resource update $service op start timeout=100s op stop timeout=100s
done